/* Exercise 4. Car renting company */

#include <stdio.h>

#define SIZE 100
#define MAX_LENGTH 50   /* Max string length */

struct ClientData {
    char name[MAX_LENGTH];
    char surname[MAX_LENGTH];
    int phone;
    char email[MAX_LENGTH];
};

int main(void) {
    struct ClientData clients[SIZE]; /* Array for client data */
    int i, j, repeated;

    /* Read client data */
    for(i=0; i<SIZE; i++) {

        do {
            printf("\nClient [%i]\n", i);

            /* Read client data */
            printf("Enter name and surname: ");
            scanf("%s %s", clients[i].name, clients[i].surname);

            printf("Enter phone number: ");
            scanf("%i", &clients[i].phone);

            printf("Enter e-mail: ");
            scanf("%s", clients[i].email);

            /* Find if the phone is already in the database */
            repeated = 0;

            for(j=0; j<i; j++)
                if(clients[j].phone == clients[i].phone) {
                    printf("\nThe client is already in the database (pos %i).\n", j);
                    printf("Previous client data: \n");
                    printf("Name: %s \n", clients[j].name);
                    printf("Surname: %s \n", clients[j].surname);
                    printf("Phone: %i \n", clients[j].phone);
                    printf("e-mail: %s \n", clients[j].email);

                    repeated = 1;
                }

            if(!repeated) {
                printf("OK, the client was not previously registered.\n");
            }

        } while(repeated);
    }

    /* Print client data */
    for(i=0; i<SIZE; i++) {
        printf("\nClient [%i] \n", i);
        printf("Name: %s \n", clients[i].name);
        printf("Surname: %s \n", clients[i].surname);
        printf("Phone: %i \n", clients[i].phone);
        printf("e-mail: %s \n", clients[i].email);
        printf("---------------------------------\n");
    }

    /* End program */
    system("PAUSE");
    return 0;
}
