/* Exercise 4. Car renting company (extension) */

#include <stdio.h>

#define SIZE 100
#define MAX_LENGTH 50   /* Max string length */

struct ClientData {
    char name[MAX_LENGTH];
    char surname[MAX_LENGTH];
    int phone;
    char email[MAX_LENGTH];
};

int main(void) {
    struct ClientData clients[SIZE]; /* Array for client data */
    int i, j, k, repeated;
    int more;

    /* Read client data */
    for(i=0, more=1; i<SIZE && more; i++) {

        do {
            printf("\nClient [%i]\n", i);

            /* Read client data */
            printf("Enter name and surname: ");
            scanf("%s %s", clients[i].name, clients[i].surname);

            printf("Enter phone number: ");
            scanf("%i", &clients[i].phone);

            printf("Enter e-mail: ");
            scanf("%s", clients[i].email);

            /* Find if the phone is already in the database */
            repeated = 0;

            for(j=0; j<i; j++)
                if(clients[j].phone == clients[i].phone) {
                    printf("\nThe client is already in the database (pos %i).\n", j);
                    printf("Previous client data: \n");
                    printf("Name: %s \n", clients[j].name);
                    printf("Surname: %s \n", clients[j].surname);
                    printf("Phone: %i \n", clients[j].phone);
                    printf("e-mail: %s \n", clients[j].email);

                    repeated = 1;
                }

            if(!repeated) {
                printf("OK, the client was not previously registered.\n");
            }

        } while(repeated);
        
        /* continue? */
        printf("\nDo you want to continue (0: no, 1: yes)? ");
		scanf("%i", &more); getchar(); // getchar is added to avoid skipping one value in reading
    }

    /* Print client data (i is the number of records!) */
    for(k=0; k<i; k++) {
        printf("\nClient [%i] \n", k);
        printf("Name: %s \n", clients[k].name);
        printf("Surname: %s \n", clients[k].surname);
        printf("Phone: %i \n", clients[k].phone);
        printf("e-mail: %s \n", clients[k].email);
        printf("---------------------------------\n");
    }

    /* end program */
    return 0;
}
