/* Exercise 7. Contacts */

#include <stdio.h>
#include <string.h>

#define MAX_ENTRIES 2
#define MAX_CHAR    128

struct Date {
    int day;
    int month;
    int year;
};

struct Contact {
    char name[MAX_CHAR];
    struct Date birthDate;
};

int main(void) {
    
	struct Contact contacts[MAX_ENTRIES];
    int d, m;
	int cont, i;
	int nContacts = 0;
    
    /* Read contact information */
    do {
        
        printf("\nreading contact %i\n", nContacts);
        printf("name? ");
        scanf("%s", contacts[nContacts].name);
        printf("birth date?\n");
        printf("day? ");
        scanf("%i", &contacts[nContacts].birthDate.day);
        printf("month? ");
        scanf("%i", &contacts[nContacts].birthDate.month);
        printf("year? ");
        scanf("%i", &contacts[nContacts].birthDate.year);
        
        nContacts++;
        printf("[ok] contact read \n");
        
        if(nContacts < MAX_ENTRIES) {
            printf("\ncontinue (yes:1/no:0) ? ");
            scanf("%i", &cont);
        } else {
        	printf("\nMax number of contacts reached\n");
            cont = 0;
        }
        
    } while(cont);
    
    /* Ask for date and print contact names */
    printf("\nQuerying contacts...\n");
    printf("birth date?\n");
    printf("day? ");
    scanf("%i", &d);
    printf("month? ");
    scanf("%i", &m);
    
    printf("\nContacts born on %i/%i \n", d, m);
	for(i=0; i<nContacts; i++) {
        if(contacts[i].birthDate.day == d && contacts[i].birthDate.month == m)
            printf("%s\n", contacts[i].name);
    }
    
    /* end program */
    return 0;
}
