/* Exercise 1. Small library. */

#include <stdio.h>
#include <string.h>

#define MAX_CHAR 128

/* BookRecord structure */
struct BookRecord {
	char title[MAX_CHAR];
	char author[MAX_CHAR];
	char isbn[MAX_CHAR];
	int borrowed;
};

int main(void) {
	/* Declare and initialize 2 book records */
	struct BookRecord book1, book2;

	// Read book1
	printf("Book 1: \n");
	printf("title? ");
	scanf("%s", book1.title);
	printf("author? ");
	scanf("%s", book1.author);
	printf("isbn? ");
	scanf("%s", book1.isbn);
	printf("borrowed (0: no, 1: yes)? ");
	scanf("%i", &book1.borrowed);

	// Read book2
	printf("Book 2: \n");
	printf("title? ");
	scanf("%s", book2.title);
	printf("author? ");
	scanf("%s", book2.author);
	printf("isbn? ");
	scanf("%s", book2.isbn);
	printf("borrowed (0: no, 1: yes)? ");
	scanf("%i", &book2.borrowed);

	/* Compare */
	if( strcmp(book1.title, book2.title) == 0 &&
		strcmp(book1.author, book2.author) == 0 &&
		strcmp(book1.isbn, book2.isbn) == 0 &&
		book1.borrowed == book2.borrowed ) {
		printf("The same book!");
	} else {
		printf("Not the same book!");
	}

	return 0;
}



