/* Exercise 3. Address for the delivery company */

#include <stdio.h>
#include <string.h>

#define MAX_HOUSES  5
#define MAX_STREETS 5

struct House {
	int number;
	int floor;
};

struct Street {
	char name[100];
	struct House houses[MAX_HOUSES];
};

int main(void) {
	
	int i, j;
	struct Street streets[MAX_STREETS];	/* Array to store 5 streets */
	char query[100];
	
	/* Read data */
	for(i=0; i<MAX_STREETS; i++) {
		printf("\nreading data for street %i\n", i);
		printf("name? ");
		scanf("%[^\n]", streets[i].name);
		
		for(j=0; j<MAX_HOUSES; j++) {
			printf("reading data for house %i in street %s\n", j, streets[i].name);
			printf("number? ");
			scanf("%i", &streets[i].houses[j].number);
			printf("floor? ");
			scanf("%i", &streets[i].houses[j].floor); getchar();
		}
	}
	
	/* Print data */
	printf("\n\nEnter street name: ");
	scanf("%[^\n]", query);
	for(i=0; i<MAX_STREETS; i++) {
		if(strcmp(streets[i].name, query) == 0) {
			printf("Found street %s, printing data", query);
			for(j=0; j<MAX_HOUSES; j++) {
				printf("\nHouse %i, number %i, floor %i", j, 
					streets[i].houses[j].number, 
					streets[i].houses[j].floor);
			}	
		}
	}
	
	/* end program */
	return 0;
	
}
